inputType: "CA10__CaAwsSnapshot__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: /types/CA10__CaAwsSnapshot__c/object.extracts.yaml
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The snapshot is not in a completed state."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__state__c"
        right:
          TEXT: "completed"
  - status: "INCOMPLIANT"
    currentStateMessage: "The EBS snapshot is not encrypted."
    remediationMessage: "Copy the snapshot and enable encryption on the copy to secure the data."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__encrypted__c"
        right:
          BOOLEAN: false
  - status: "COMPLIANT"
    currentStateMessage: "The EBS snapshot is encrypted."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__encrypted__c"
        right:
          BOOLEAN: true
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected values in the field."
